Loading...
Searching...
No Matches
BALL::TContourLine< T > Class Template Reference
Foundation Classes » General datastructures » Miscellaneous

`#include <BALL/DATATYPE/contourLine.h>`

## Public Types

Type definitions
typedef Vector2 | PointType
typedef std::vector< PointType > | VectorType

## Public Member Functions

Constructors and Destructors.
| TContourLine (T height=0)
| Default constructor.
| TContourLine (const TContourLine &copyTContourLine)
| Copy constructor.
virtual | ~TContourLine ()
| Destructor.
void | createContourLine (TRegularData2D< T > &from)
| Creates a contour line from a given data set.
void | interpol12 ()
| Internal functions used for the marching cube-algorithm.
void | interpol18 ()
void | interpol24 ()
void | interpol48 ()
Assignment
const TContourLine & | operator= (const TContourLine &assigTContourLine)
| Assignment operator.
virtual void | clear ()
| Clear method.
Predicates
bool | operator== (const TContourLine &compTContourLine) const
| Equality operator.

## Accessors

T | height_
VectorType | data_
VectorType::iterator | it_
Position | index_
bool | getNextPoint (PointType &p)
void | resetCounter ()

## Detailed Description

template<typename T>
class BALL::TContourLine< T >

This class is intended to store a single contour line generated from a RegularData2D - class.

Definition at line 68 of file contourLine.h.

## Member Typedef Documentation

## PointType

template<typename T>

typedef Vector2 BALL::TContourLine< T >::PointType

The point type. This type is used to store points in the 2-d regularData.

Definition at line 79 of file contourLine.h.

## VectorType

template<typename T>

typedef std::vector<PointType> BALL::TContourLine< T >::VectorType

The vector type. This type is used to store the endpoints of the contour-line.

Definition at line 84 of file contourLine.h.

## Constructor & Destructor Documentation

## TContourLine() [1/2]

template<typename T>

BALL::TContourLine< T >::TContourLine | ( | T | height = 0 | ) |

Default constructor.

Definition at line 156 of file contourLine.h.

## TContourLine() [2/2]

template<typename T>

BALL::TContourLine< T >::TContourLine | ( | const TContourLine< T > & | copyTContourLine | ) |

Copy constructor.

Definition at line 168 of file contourLine.h.

## ~TContourLine()

template<typename T>

BALL::TContourLine< T >::~TContourLine | ( |  | ) |

virtual

Destructor.

Definition at line 163 of file contourLine.h.

## Member Function Documentation

## clear()

template<typename T>

void BALL::TContourLine< T >::clear | ( |  | ) |

virtual

Clear method.

Definition at line 177 of file contourLine.h.

## createContourLine()

template<typename T>

void BALL::TContourLine< T >::createContourLine | ( | TRegularData2D< T > & | from | ) |

Creates a contour line from a given data set.

Definition at line 205 of file contourLine.h.

## getNextPoint()

template<typename T>

bool BALL::TContourLine< T >::getNextPoint | ( | PointType & | p | ) |

Return the next endpoint.

Definition at line 305 of file contourLine.h.

## interpol12()

template<typename T>

void BALL::TContourLine< T >::interpol12 | ( |  | ) |

Internal functions used for the marching cube-algorithm.

## interpol18()

template<typename T>

void BALL::TContourLine< T >::interpol18 | ( |  | ) |

## interpol24()

template<typename T>

void BALL::TContourLine< T >::interpol24 | ( |  | ) |

## interpol48()

template<typename T>

void BALL::TContourLine< T >::interpol48 | ( |  | ) |

## operator=()

template<typename T>

const TContourLine< T > & BALL::TContourLine< T >::operator= | ( | const TContourLine< T > & | assigTContourLine | ) |

Assignment operator.

Definition at line 185 of file contourLine.h.

## operator==()

template<typename T>

bool BALL::TContourLine< T >::operator== | ( | const TContourLine< T > & | compTContourLine | ) | const

Equality operator.

Definition at line 196 of file contourLine.h.

## resetCounter()

template<typename T>

void BALL::TContourLine< T >::resetCounter | ( |  | ) |

Reset the counter.

Definition at line 321 of file contourLine.h.

## Member Data Documentation

## data_

template<typename T>

VectorType BALL::TContourLine< T >::data_

Definition at line 146 of file contourLine.h.

## height_

template<typename T>

T BALL::TContourLine< T >::height_

Definition at line 145 of file contourLine.h.

## index_

template<typename T>

Position BALL::TContourLine< T >::index_

Definition at line 148 of file contourLine.h.

## it_

template<typename T>

VectorType::iterator BALL::TContourLine< T >::it_

Definition at line 147 of file contourLine.h.